/* Reset og basis styling */



:root {
  /* --card-specs-background-color: #ffffff;
  --card-specs-header-background-color: #f9f9fb;
  --card-specs-border: #e4e4e9;
  --card-specs-theme-color: #1e5fbf;
  --card-specs-text-muted: #9999aa;
  --car-color: #e63946;
  --color-background-primary: #ffffff;
  --color-border-tertiary: #e0e0e0;
  --color-text-primary: #111111;
  --color-text-secondary: #888888; */

  --font-sans: "DM Sans", sans-serif;
  --mono: "DM Mono", monospace;

  --bg: #f5f5f7;
  --header-bg: #ffffff;
  --border: #e2e2ea;
  --text: #18181f;
  --muted: #7a7a8c;
  --accent: hsl(4.24deg 78.63% 54.12%);
  --accent2: hsl(230deg 60% 45%);
  --accent-hover: hsl(4.24deg 78.63% 54.12% / 5%);
  --accent-light: rgba(230, 59, 46, 0.07);
  --accent-text: white;
  --shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
  --car-color: hsl(47, 100%, 50%);
  --border-r: 14px;

}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
  line-height: 1.6;
  color: #333;
  background-color: var(--bg);



  display: flex;
  flex-direction: column;
  min-height: 100dvh;
}

#app {
  flex: 1;
}



/* Main container */
.container {
  max-width: 1600px;
  margin: 1rem auto;
  padding: 0 2rem;
}

.container>h1 {
  margin-bottom: 2rem;
  color: #2c3e50;
}

.card-strip {


  .card-strip-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: var(--header-bg);

    border-radius: 14px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
    margin: 2rem 0;

    .card-strip-header-view-all {
      color: var(--accent-text);
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
      padding: .5rem;
      border-radius: 8px;
      background-color: var(--accent);
      text-decoration: none;
    }
  }
}

/* Cars grid */



.brand-card {
  width: 300px;

  .brand-logo {
    width: 100%;
    aspect-ratio: 1;
  }
}

.car-detail-image img {
  width: 100%;
  height: auto;
  border-radius: 0.5rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, .15);

}











.breadcrumb {
  text-decoration: none;

  * {
    text-decoration: none;
  }
}


.brand-card {
  max-width: 300px;
  min-width: 95px;
}



.hidden-checkbox:nth-child(even) {
  display: none;
}


@media (max-width: 600px) {

  .container {
    padding: 1rem;
  }

}





.blog {
  grid-area: blog;
  background-color: var(--header-bg);
  box-shadow: var(--shadow);
  padding: 1rem;
  border-radius: var(--border-r);

  .Gutenberg-editor {
    display: grid;
    gap: 1rem;

    h2 {
      font-size: 1.6rem;
      font-weight: 700;
      margin: 1rem 0 0 0;
      position: relative;
      padding-left: 1rem;

      &::before {
        content: "";
        position: absolute;
        left: 0;
        top: 15%;
        height: 70%;
        width: 4px;
        background: var(--accent);
        border-radius: 2px;
      }
    }

    p {
      font-size: 1.1rem;
      color: var(--text);
      margin-top: 0;
      padding: 0 1rem;
    }

    .wp-block-image {
      width: 100%;
      margin: 0;


      img {
        width: 100%;
        height: auto;
        border-radius: var(--border-r);
      }
    }

    .wp-block-quote {
      border-left: 4px solid var(--accent);
      padding: 1rem 1.5rem;
      background: var(--accent-light);
      border-radius: 0 var(--border-r) var(--border-r) 0;

      .quote-text {
        font-size: 1.25rem;
        color: var(--text);
        font-style: italic;
      }

      .quote-author {
        font-size: 0.8rem;
        text-transform: uppercase;
        letter-spacing: 1px;
        color: var(--muted);
        font-weight: 700;
        display: flex;
        align-items: center;

        &::before {
          content: "";
          width: 12px;
          height: 2px;
          background-color: var(--muted);
          display: block;
          margin-right: 0.4rem;
        }
      }
    }

    .wp-block-info-card {
      display: flex;
      gap: 1rem;
      align-items: center;
      border-radius: 0 var(--border-r) var(--border-r) 0;
      border: 1px solid var(--border);
      border-left: 4px solid var(--accent2);
      padding: 0.75rem 1rem;

      .info-icon {
        background-color: var(--accent2);
        color: var(--accent-text);
        aspect-ratio: 1;
        border-radius: 100vw;
        min-width: 40px;
        display: grid;
        place-content: center;
        font-size: 1.3rem;
        font-weight: 700;
      }

      p {
        margin: 0;
        padding: 0;
        font-size: 1rem;
      }
    }

    @media (max-width: 500px) {
      .wp-block-info-card {
        display: block;

        .info-icon {
          float: left;
          margin-right: 1rem;
          margin-bottom: 0.5rem;
        }
      }
    }

    .wp-block-pros-cons-card {
      container-type: inline-size;

      .pros-cons {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;

        .pros-title {
          color: green;
        }

        .cons-title {
          color: red;
        }

        div {
          background-color: var(--bg);
          border-radius: var(--border-r);
          padding: 1rem;

          h3 {
            margin: 0;
          }

          ul {
            margin: 0;
            padding-left: 1.5rem;

            li {
              font-size: 0.95rem;
            }
          }
        }
      }
    }

    @container (max-width: 450px) {
      .wp-block-pros-cons-card {
        .pros-cons {
          grid-template-columns: 1fr;
        }
      }
    }

    .wp-block-category-list-card {
      .category-list {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        gap: 1rem;
        padding: 0;
        margin: 0;

        .category {
          border: 1px solid var(--border);
          padding: 0.75rem 1rem;
          position: relative;
          list-style: none;
          border-radius: calc(var(--border-r) - 8px);
          font-size: 0.9rem;
          font-weight: 500;
          color: var(--text);

          &::before {
            content: "";
            background-color: var(--accent);
            width: 10px;
            aspect-ratio: 1;
            display: inline-block;
            margin-right: 1rem;
            border-radius: 100vw;
          }
        }
      }
    }

    .wp-block-table {
      overflow-x: auto;
      margin: 0 auto;
      margin-bottom: 3rem;
      width: 100%;

      table {
        border-collapse: collapse;
        border: none;
        border-radius: 8px;
        overflow: hidden;
        min-width: max-content;

        tr:has(td:nth-child(1) > strong):has(td:nth-child(2) > strong) {
          background-color: var(--bg);
        }

        tr {
          border: none;
          border-bottom: 1px solid var(--border);

          td {
            border: none;
            padding: 1rem;
            width: max-content;

            * {
              display: block;
              width: fit-content;
            }
          }
        }
      }
    }

    .wp-block-statement {
      background-color: var(--bg);
      padding: 1rem;
      border-radius: 0 0 var(--border-r) var(--border-r);

      border-top: 3px solid var(--accent);

      span {
        color: var(--accent);
        font-size: 0.9rem;
        font-weight: 700;
        gap: 0.5rem;
        display: flex;

        &::before {
          content: "";
        }
      }

      h3 {
        margin: 0.5rem 0;
        padding: 0;
        font-size: 1.5rem;
        color: var(--text);
      }

      p {
        padding: 0;
        color: var(--muted);
      }
    }

    .wp-block-list {
      display: grid;
      gap: 1rem;
      padding-left: 2rem;

      li::marker {
        color: var(--accent);
      }
    }
  }
}